
/**
 * First we will load all of this project's JavaScript dependencies which
 * includes Vue and other libraries. It is a great starting point when
 * building robust, powerful web applications using Vue and Laravel.
 */

require('./bootstrap');
require('./confirmDeleteModal');
require('./searchButton');

window.Vue = require('vue');


/**
 * Next, we will create a fresh Vue application instance and attach it to
 * the page. Then, you may begin adding components to this application
 * or customize the JavaScript scaffolding to fit your unique needs.
 */

//Vue.component('example', require('./components/Example.vue'));

// https://github.com/BosNaufal/vue2-autocomplete#usage
//import Autocomplete from 'vue2-autocomplete-js';

import Axios from 'axios'

Vue.prototype.$http = Axios

Vue.component('typeahead', require('./components/TypeAhead.vue'));

// https://github.com/charliekassel/vuejs-datepicker#usage
// import Datepicker from 'vuejs-datepicker';
Vue.component('datepicker', require('./components/Datepicker.vue'));

const app = new Vue({
    el: '#app',
    components: {
        //"datepicker": Datepicker,
        //"autocomplete": Autocomplete
    }
});